Bug 143464 - [PATCH] sysutils/lbl-hf: update to 1.1
Summary: [PATCH] sysutils/lbl-hf: update to 1.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Philip M. Gollucci
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-02-02 01:30 UTC by leres
Modified: 2010-02-11 20:15 UTC (History)
0 users

See Also:


Attachments
patch-lbl-hf-1.2.txt (1.32 KB, patch)
2010-02-10 09:59 UTC, leres
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description leres 2010-02-02 01:30:01 UTC
	Update to 1.1:

	- Add pgp signature file.
	- Add another master site.
	- Add -f (used to specify a format string containing escapes to
	  be used to create the replacement text).
	- Upgrade to autoconf 2.62.

Fix: --------------090904010609080605080504
Content-Type: text/plain;
 name="patch-hf.txt"
Content-Transfer-Encoding: 7bit
Content-Disposition: inline;
 filename="patch-hf.txt"



--------------090904010609080605080504----7pnxSCRSl7Q9fJRBumsDqd2gGLkkpwAE8wZSJbhOdJ50GAIw
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

--- Makefile.orig	2010-02-01 17:04:50.000000000 -0800
+++ Makefile	2010-02-01 17:12:17.000000000 -0800
@@ -13,6 +13,8 @@
 		ftp://ftp.xemacs.org/sites/ftp.ee.lbl.gov/ \
 		http://lontra.org/pub/lbl/ \
 		http://ftp.riken.go.jp/pub/net/lbl/
+DISTFILES=	${DISTNAME}${EXTRACT_SUFX} ${DISTNAME}${EXTRACT_SUFX}.asc
+EXTRACT_ONLY=	${DISTNAME}${EXTRACT_SUFX}
 PKGNAMEPREFIX=	lbl-
 
 MAINTAINER=	leres@ee.lbl.gov
@@ -24,6 +26,9 @@
 
 MAN1=		hf.1
 
+verify: checksum
+	gpg --verify ${DISTDIR}/${DISTNAME}${EXTRACT_SUFX}.asc
+
 GNU_CONFIGURE=	yes
 
 # Only install hf
--- distinfo.orig	2008-05-13 12:51:15.000000000 -0700
+++ distinfo	2010-02-01 17:20:56.000000000 -0800
@@ -1,3 +1,6 @@
-MD5 (hf-1.0a11.tar.gz) = 4a1f43ba5058a985ca8f2e717999de8b
-SHA256 (hf-1.0a11.tar.gz) = b68e8a390cebaad000e5a1ef26a03b6659d5a1312bcd2d8935a1be0b9ae6a1ff
-SIZE (hf-1.0a11.tar.gz) = 73395
+MD5 (hf-1.1.tar.gz) = ebca6d0c7da6cf1702b1c3b96120f03b
+SHA256 (hf-1.1.tar.gz) = 06b28b70b935aa4d2280016dce6d8530f0553911ce7d36634f761676bee9e80b
+SIZE (hf-1.1.tar.gz) = 95968
+MD5 (hf-1.1.tar.gz.asc) = 43e29c5ea423579de068e16964b2cc31
+SHA256 (hf-1.1.tar.gz.asc) = 9d6090af67f9ababf2cdd2c30c19c5728d466faa13dc35f4d8f1368f868f8363
+SIZE (hf-1.1.tar.gz.asc) = 196
Comment 1 Edwin Groothuis freebsd_committer 2010-02-02 01:30:13 UTC
Class Changed
From-To: update->maintainer-update

Fix category (submitter is maintainer) (via the GNATS Auto Assign Tool)
Comment 2 Philip M. Gollucci freebsd_committer 2010-02-04 02:56:31 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pgollucci

I'll take it.
Comment 3 leres 2010-02-10 09:59:21 UTC
I just found and fixed a really old bug with async lookups (-a flag):

    v1.2 Wed Feb 10 01:42:56 PST 2010

    - Fix async lookup bug; pass res_mkquery() correct query buffer len

An updated patch attached.

		Craig
Comment 4 Philip M. Gollucci freebsd_committer 2010-02-11 20:15:28 UTC
State Changed
From-To: open->closed

Committed, Thanks.